# services/cassandra/resourcequota.yaml
apiVersion: v1
kind: ResourceQuota
metadata:
  name: cassandra-namespace-quota
  namespace: cassandra
spec:
  hard:
    requests.cpu: "32"
    requests.memory: 64Gi
    limits.cpu: "96"
    limits.memory: 192Gi
    pods: "96"
    count/jobs.batch: "100"
    persistentvolumeclaims: "8"
    requests.storage: 1Ti
---
apiVersion: v1
kind: ResourceQuota
metadata:
  name: cassandra-core-quota
  namespace: cassandra
spec:
  hard:
    requests.cpu: "4"
    requests.memory: 16Gi
    limits.cpu: "8"
    limits.memory: 32Gi
    pods: "12"
  scopeSelector:
    matchExpressions:
      - scopeName: PriorityClass
        operator: In
        values:
          - cassandra-core
---
apiVersion: v1
kind: ResourceQuota
metadata:
  name: cassandra-sim-quota
  namespace: cassandra
spec:
  hard:
    requests.cpu: "20"
    requests.memory: 40Gi
    limits.cpu: "80"
    limits.memory: 160Gi
    pods: "80"
  scopeSelector:
    matchExpressions:
      - scopeName: PriorityClass
        operator: In
        values:
          - cassandra-sim
